#ifndef HISTORY_HH
# define HISTORY_HH

# include <vector>

# define HISTORY_SIZE 256

class History {
public:
  History(size_t size);
  ~History();

  const string &get(size_t off) const;
  const string &get() const;
  void add(const string &line);
  size_t size() const;

  void save(const string &filename);

private:
  string filename_;
  std::vector<string> table_;
  size_t size_;
};

extern History H;

#endif
